Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Query block data by height or get the latest block
curl http://67.205.164.156:1317/cosmos/base/tendermint/v1beta1/blocks/latest
Response
{ "block_id": { "hash": "A1B2C3D4...", "part_set_header": { "total": 1, "hash": "E5F6G7H8..." } }, "block": { "header": { "chain_id": "xyz-1", "height": "152340", "time": "2026-02-19T10:00:00.000Z", "proposer_address": "ABC123..." }, "data": { "txs": ["base64-encoded-tx-1", "base64-encoded-tx-2"] }, "last_commit": { "height": "152339", "signatures": [...] } } }
block.header.chain_id
xyz-1
block.header.height
block.header.time
block.header.proposer_address
block.data.txs
block.last_commit.signatures
curl http://67.205.164.156:1317/cosmos/base/tendermint/v1beta1/blocks/152340
400
curl -s http://67.205.164.156:1317/cosmos/base/tendermint/v1beta1/blocks/latest \ | jq '.block.header.height'
curl -s http://67.205.164.156:1317/cosmos/base/tendermint/v1beta1/blocks/152340 \ | jq '.block.header.time'
curl -s http://67.205.164.156:1317/cosmos/base/tendermint/v1beta1/blocks/152340 \ | jq '.block.data.txs | length'